be.fgov.ehealth.hubservices.core.v2

## Class HasTherapeuticLinkResponse

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.HasTherapeuticLinkResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:23:34+02:00",
                 comments="JAXB RI v2.2.11")
      public class HasTherapeuticLinkResponse
      extends Object
      implements Serializable

  Java class for HasTherapeuticLinkResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="HasTherapeuticLinkResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v2}ResponseType"/>
               <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AcknowledgeType"/>
               <element name="value" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HasTherapeuticLinkResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AcknowledgeType` | `getAcknowledge()` Gets the value of the acknowledge property.
    `ResponseType` | `getResponse()` Gets the value of the response property.
    `Boolean` | `isValue()` Gets the value of the value property.
    `void` | `setAcknowledge(AcknowledgeType value)` Sets the value of the acknowledge property.
    `void` | `setResponse(ResponseType value)` Sets the value of the response property.
    `void` | `setValue(Boolean value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HasTherapeuticLinkResponse

          public HasTherapeuticLinkResponse()

  - ### Method Detail

    - #### getResponse

          public ResponseType getResponse()

      Gets the value of the response property.
      Returns:
        possible object is `ResponseType`

    - #### setResponse

          public void setResponse(ResponseType value)

      Sets the value of the response property.
      Parameters:
        `value` - allowed object is `ResponseType`

    - #### getAcknowledge

          public AcknowledgeType getAcknowledge()

      Gets the value of the acknowledge property.
      Returns:
        possible object is `AcknowledgeType`

    - #### setAcknowledge

          public void setAcknowledge(AcknowledgeType value)

      Sets the value of the acknowledge property.
      Parameters:
        `value` - allowed object is `AcknowledgeType`

    - #### isValue

          public Boolean isValue()

      Gets the value of the value property.
      Returns:
        possible object is `Boolean`

    - #### setValue

          public void setValue(Boolean value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging PHYSIOTHERAPIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.